qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: Coaxing an error message out of qpid-cpp - unable to connect
Date Thu, 10 Oct 2013 16:08:32 GMT
On 10 Oct 2013, at 4:57 PM, Gordon Sim <gsim@redhat.com> wrote:

>> I have tried qpid-java-client (expecting it to work) and qpid-java-amqp-1-0-client-jms
(expecting it to give me a clear "protocol not supported" error) v0.24 and v0.18, and all
4 fail with the same "java.net.SocketException: Broken pipe".
> 
> Sorry its been so difficult. You need different configuration properties to switch between
the 1.0 client and the earlier one.

More investigation has shown that someone had hard coded the qpid ampq v1.0 driver directly
into the code, which was taking precedence. With that removed we're now getting further, but
still not out of the woods:

javax.jms.JMSException: Failed to parse entry: Not an AMQP URL amqps://amqp.sandbox.xxx.net:5671?jms.prefetchPolicy.queuePrefetch=1
due to : Not an AMQP URL: amqps://amqp.sandbox.xxx.net:5671?jms.prefetchPolicy.queuePrefetch=1

The URL worked fine with qpid-java-amqp-1-0-client-jms, but suddenly doesn't work with qpid-java-client
- does the older JMS driver support SSL?

>> Can anyone confirm whether any of the Qpid Java code interoperates in any way with
the Qpid C++ code?
> 
> Yes, it definitely does. The first thing I'd try is getting a simple example working
without SSL, then redo with SSL enabled. That will make any issues easier to pinpoint I believe.

SSL is required in our system, so getting it working without doesn't help us. We have the
ability to sniff the connection through SSL and debug it, so it isn't a problem (until the
problem above).

Regards,
Graham
--


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message